<html>
<head>
<title>OGRE: Ogre::EdgeData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a></div>
<h1>Ogre::EdgeData Class Reference</h1><!-- doxytag: class="Ogre::EdgeData" -->This class contains the information required to describe the edge connectivity of a given set of vertices and indexes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1EdgeData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>,<br>
 <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a><br>
&lt; <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#18a4cc443b11498b61ee2d4cb30ac7ad">TriangleFaceNormalList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; char &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#40386af98df21e634c60b85d4434684b">TriangleLightFacingList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#faf35a82abd84227e184cf35be1255b6">TriangleList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a25f4ff55b3a62137c8d74b417a2e127">EdgeList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#ead5d3649daa5415ad9418859ba1b20d">EdgeGroupList</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#bc392e96ecd65467b7e17e56f5b6751d">updateTriangleLightFacing</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lightPos)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculate the light facing state of the triangles in this edge list.  <a href="#bc392e96ecd65467b7e17e56f5b6751d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#06f4e92565a4b5334aafc92dd923bd12">updateFaceNormals</a> (size_t vertexSet, const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;positionBuffer)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Updates the face normals for this edge list based on (changed) position information, useful for animated objects.  <a href="#06f4e92565a4b5334aafc92dd923bd12"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#325ca9f8c825077c2ce6e67d11fd0558">log</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *log)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#faf35a82abd84227e184cf35be1255b6">TriangleList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#dcd3d9c03ce2bf3a8634b12fe78a9677">triangles</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Main triangles array, stores all triangles of this edge list.  <a href="#dcd3d9c03ce2bf3a8634b12fe78a9677"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#18a4cc443b11498b61ee2d4cb30ac7ad">TriangleFaceNormalList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#d171b0cbf84c2266e90ccb093485ea9b">triangleFaceNormals</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">All triangle face normals.  <a href="#d171b0cbf84c2266e90ccb093485ea9b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#40386af98df21e634c60b85d4434684b">TriangleLightFacingList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#846bb6792590b4a3dc9c9f03845feef3">triangleLightFacings</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html" title="Basic triangle structure.">Triangle</a> light facing states.  <a href="#846bb6792590b4a3dc9c9f03845feef3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#ead5d3649daa5415ad9418859ba1b20d">EdgeGroupList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#87c571c8ebe68b3ca039a003ffbe07ad">edgeGroups</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">All edge groups of this edge list.  <a href="#87c571c8ebe68b3ca039a003ffbe07ad"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#85e8278c626ea184a00081f199d14959">isClosed</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag indicate the mesh is manifold.  <a href="#85e8278c626ea184a00081f199d14959"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data.  <a href="structOgre_1_1EdgeData_1_1Edge.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A group of edges sharing the same vertex data.  <a href="structOgre_1_1EdgeData_1_1EdgeGroup.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Basic triangle structure.  <a href="structOgre_1_1EdgeData_1_1Triangle.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This class contains the information required to describe the edge connectivity of a given set of vertices and indexes. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This information is built using the <a class="el" href="classOgre_1_1EdgeListBuilder.html" title="General utility class for building edge lists for geometry.">EdgeListBuilder</a> class. Note that for a given mesh, which can be made up of multiple submeshes, there are separate edge lists for when </dd></dl>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00047">47</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="18a4cc443b11498b61ee2d4cb30ac7ad"></a><!-- doxytag: member="Ogre::EdgeData::TriangleFaceNormalList" ref="18a4cc443b11498b61ee2d4cb30ac7ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1Vector4.html">Vector4</a>, <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt;<a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&gt; &gt; <a class="el" href="classOgre_1_1EdgeData.html#18a4cc443b11498b61ee2d4cb30ac7ad">Ogre::EdgeData::TriangleFaceNormalList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00079">79</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="40386af98df21e634c60b85d4434684b"></a><!-- doxytag: member="Ogre::EdgeData::TriangleLightFacingList" ref="40386af98df21e634c60b85d4434684b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;char&gt; <a class="el" href="classOgre_1_1EdgeData.html#40386af98df21e634c60b85d4434684b">Ogre::EdgeData::TriangleLightFacingList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00084">84</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="faf35a82abd84227e184cf35be1255b6"></a><!-- doxytag: member="Ogre::EdgeData::TriangleList" ref="faf35a82abd84227e184cf35be1255b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a>&gt; <a class="el" href="classOgre_1_1EdgeData.html#faf35a82abd84227e184cf35be1255b6">Ogre::EdgeData::TriangleList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00086">86</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a25f4ff55b3a62137c8d74b417a2e127"></a><!-- doxytag: member="Ogre::EdgeData::EdgeList" ref="a25f4ff55b3a62137c8d74b417a2e127" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a>&gt; <a class="el" href="classOgre_1_1EdgeData.html#a25f4ff55b3a62137c8d74b417a2e127">Ogre::EdgeData::EdgeList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00087">87</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ead5d3649daa5415ad9418859ba1b20d"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroupList" ref="ead5d3649daa5415ad9418859ba1b20d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a>&gt; <a class="el" href="classOgre_1_1EdgeData.html#ead5d3649daa5415ad9418859ba1b20d">Ogre::EdgeData::EdgeGroupList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00108">108</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="bc392e96ecd65467b7e17e56f5b6751d"></a><!-- doxytag: member="Ogre::EdgeData::updateTriangleLightFacing" ref="bc392e96ecd65467b7e17e56f5b6751d" args="(const Vector4 &amp;lightPos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::EdgeData::updateTriangleLightFacing           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>lightPos</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculate the light facing state of the triangles in this edge list. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is normally the first stage of calculating a silhouette, ie establishing which tris are facing the light and which are facing away. This state is stored in the 'triangleLightFacings'. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>lightPos</em>&nbsp;</td><td>4D position of the light in object space, note that for directional lights (which have no position), the w component is 0 and the x/y/z position are the direction. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="06f4e92565a4b5334aafc92dd923bd12"></a><!-- doxytag: member="Ogre::EdgeData::updateFaceNormals" ref="06f4e92565a4b5334aafc92dd923bd12" args="(size_t vertexSet, const HardwareVertexBufferSharedPtr &amp;positionBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::EdgeData::updateFaceNormals           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vertexSet</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>positionBuffer</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Updates the face normals for this edge list based on (changed) position information, useful for animated objects. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vertexSet</em>&nbsp;</td><td>The vertex set we are updating </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>positionBuffer</em>&nbsp;</td><td>The updated position buffer, must contain ONLY xyz </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="325ca9f8c825077c2ce6e67d11fd0558"></a><!-- doxytag: member="Ogre::EdgeData::log" ref="325ca9f8c825077c2ce6e67d11fd0558" args="(Log *log)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::EdgeData::log           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td>
          <td class="paramname"> <em>log</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="dcd3d9c03ce2bf3a8634b12fe78a9677"></a><!-- doxytag: member="Ogre::EdgeData::triangles" ref="dcd3d9c03ce2bf3a8634b12fe78a9677" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#faf35a82abd84227e184cf35be1255b6">TriangleList</a> <a class="el" href="classOgre_1_1EdgeData.html#dcd3d9c03ce2bf3a8634b12fe78a9677">Ogre::EdgeData::triangles</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Main triangles array, stores all triangles of this edge list. 
<p>
Note that triangles are grouping against edge group. 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00113">113</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d171b0cbf84c2266e90ccb093485ea9b"></a><!-- doxytag: member="Ogre::EdgeData::triangleFaceNormals" ref="d171b0cbf84c2266e90ccb093485ea9b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#18a4cc443b11498b61ee2d4cb30ac7ad">TriangleFaceNormalList</a> <a class="el" href="classOgre_1_1EdgeData.html#d171b0cbf84c2266e90ccb093485ea9b">Ogre::EdgeData::triangleFaceNormals</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
All triangle face normals. 
<p>
It should be 1:1 with triangles. 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00115">115</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="846bb6792590b4a3dc9c9f03845feef3"></a><!-- doxytag: member="Ogre::EdgeData::triangleLightFacings" ref="846bb6792590b4a3dc9c9f03845feef3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#40386af98df21e634c60b85d4434684b">TriangleLightFacingList</a> <a class="el" href="classOgre_1_1EdgeData.html#846bb6792590b4a3dc9c9f03845feef3">Ogre::EdgeData::triangleLightFacings</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html" title="Basic triangle structure.">Triangle</a> light facing states. 
<p>
It should be 1:1 with triangles. 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00117">117</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="87c571c8ebe68b3ca039a003ffbe07ad"></a><!-- doxytag: member="Ogre::EdgeData::edgeGroups" ref="87c571c8ebe68b3ca039a003ffbe07ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#ead5d3649daa5415ad9418859ba1b20d">EdgeGroupList</a> <a class="el" href="classOgre_1_1EdgeData.html#87c571c8ebe68b3ca039a003ffbe07ad">Ogre::EdgeData::edgeGroups</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
All edge groups of this edge list. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00119">119</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="85e8278c626ea184a00081f199d14959"></a><!-- doxytag: member="Ogre::EdgeData::isClosed" ref="85e8278c626ea184a00081f199d14959" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1EdgeData.html#85e8278c626ea184a00081f199d14959">Ogre::EdgeData::isClosed</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Flag indicate the mesh is manifold. 
<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00121">121</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:32 2008
</p>
</body>
</html>
